<script>
	jQuery(function($) {
		var $ = jQuery;
		
		$('#type').change(function() {
			var typeImageName = $(this).val().replace(' ', '').toLowerCase();
			
			$('#percentage_inner_cutout').parent().parent().hide();
			$('#labels').parent().parent().hide();
			$('#tooltips').parent().parent().hide();

			$('.repeater-add').show();
			$('.linesettings').hide();
			$('.barsettings').hide();
			$('.radarsettings').hide();
			$('.polarareasettings').hide();
			$('.piesettings').hide();
			$('.doughnutsettings').hide();

			$('.' + typeImageName + 'settings').show();

			switch(typeImageName) {
				case "line":					
					$('#labels').parent().parent().show();
					break;
				case "bar":
					$('#labels').parent().parent().show();
					break;
				case "radar":
					$('#labels').parent().parent().show();
					break;
				case "polararea":
					$('#tooltips').parent().parent().show();
					break;
				case "pie":
					$('#tooltips').parent().parent().show();
					break;
				case "doughnut":
					$('#tooltips').parent().parent().show();
					$('#percentage_inner_cutout').parent().parent().show();
					break;
			}

			hideInvalidData();
		});

		$('#type').change();

		$('#animation_steps').parent().parent().toggle();
		$('#animation_easing').parent().parent().toggle();	
	

		$('#animation').change(function() {
			$('#animation_steps').parent().parent().toggle();
			$('#animation_easing').parent().parent().toggle();							
		});

		function hideInvalidData() {
			var type = $('#type').val();
			var $form = $('#shortcode-form');

			$('.repeater-item').remove();

			if (type == 'line' || type == 'bar' || type == 'radar') {					
				$('[id^="fill_color"]', $form).parents('.form-group').first().show();
				$('[id^="stroke_color"]', $form).parents('.form-group').first().show();
				$('[id^="point_color"]', $form).parents('.form-group').first().show();
				$('[id^="point_stroke_color"]', $form).parents('.form-group').first().show();
				$('[id^="colors"]', $form).parents('.form-group').first().hide();	
				$('[id^="tooltips"]', $form).parents('.form-group').first().hide();
				$('.repeater-add').show();				
			} else if (type == 'polararea' || type == 'pie' || type == 'doughnut') {					
				$('[id^="fill_color"]', $form).parents('.form-group').first().hide();
				$('[id^="stroke_color"]', $form).parents('.form-group').first().hide();
				$('[id^="point_color"]', $form).parents('.form-group').first().hide();
				$('[id^="point_stroke_color"]', $form).parents('.form-group').first().hide();
				$('[id^="colors"]', $form).parents('.form-group').first().show();
				$('[id^="tooltips"]', $form).parents('.form-group').first().show();
				$('.repeater-add').click();
				$('.repeater-add').hide();
			}
		}
	});
</script>